using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMUserBelongRoleMap : APTEntityBaseMap<T_FM_USER_BELONG_ROLE>
    {
		public override void Configure(EntityTypeBuilder<T_FM_USER_BELONG_ROLE> builder)
		{
			base.Configure(builder);

			builder.HasOne(t => t.Nav_BelongRole).WithMany(t=> t.Nav_UserBelongRoles).HasForeignKey(t => t.BELONG_ROLE_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_User).WithMany(t => t.Nav_BelongRoles).HasForeignKey(t => t.USER_ID).OnDelete(DeleteBehavior.Restrict);
		} 
    }
}
